module Chervil::AST
  class Function
    attr_reader :params
    attr_reader :body

    def initialize(params, body)
      @params = params
      @body = body
    end

    def ==(other)
      @params == other.params && @body == other.body
    end
  end
end
